Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jta.common
Class Configuration

    java.lang.Object
      com.arjuna.ats.jta.common.Configuration

public class Configuration
extends java.lang.Object

Runtime configuration class for this module.

Since:
  JTS 1.0.
Version:
  $Id: Configuration.html,v 1.1 2008/01/04 06:52:40 afitzsim Exp $
Author:
  Mark Little (mark@arjuna.com)

Constructor Summary
`Configuration()`

Method Summary
`static java.lang.String` | `getBuildTimeProperty(java.lang.String name)` Get a build time property.
`static java.lang.Boolean` | `getXATransactionTimeoutEnabled()`
`static java.lang.String` | `propertiesFile()`
`static void` | `setPropertiesFile(java.lang.String file)` Set the name of the properties file.
`static void` | `setXATransactionTimeoutEnabled(java.lang.Boolean xaTransactionTimeoutEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Configuration

    public Configuration()

Method Detail

### propertiesFile

    public static final java.lang.String propertiesFile()

  Returns:
    the name of the module properties file to use.

### setPropertiesFile

    public static final void setPropertiesFile(java.lang.String file)

  Set the name of the properties file.

### getXATransactionTimeoutEnabled

    public static final java.lang.Boolean getXATransactionTimeoutEnabled()

### setXATransactionTimeoutEnabled

    public static final void setXATransactionTimeoutEnabled(java.lang.Boolean xaTransactionTimeoutEnabled)

### getBuildTimeProperty

    public static java.lang.String getBuildTimeProperty(java.lang.String name)

  Get a build time property.

  Parameters:
    `name` - The name of the build time property.
  Returns:
    The build time property value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD